Developer Documentation

Public Member Functions | Private Attributes | List of all members
ACG::SceneGraph::DrawModes::DrawModeProperties Class Reference

DrawModeProperties stores a set of properties that defines, how to render an object. More...

`#include <OpenFlipper/libs_required/ACG/Scenegraph/DrawModes.hh>`

## Public Member Functions
| DrawModeProperties (DrawModePrimitive _primitive=PRIMITIVE_POLYGON, DrawModeLightStage _lightStage=LIGHTSTAGE_UNLIT, DrawModeNormalSource _normalSource=NORMAL_NONE, DrawModeColorSource _colorSource=COLOR_NONE, DrawModeTexCoordSource _texcoordSource=TEXCOORD_NONE, bool _envMapping=false)
Getter/Setter of all properties
DrawModePrimitive | primitive () const
void | primitive (DrawModePrimitive _val)
DrawModeLightStage | lightStage () const
void | lightStage (DrawModeLightStage _val)
DrawModeColorSource | colorSource () const
void | colorSource (DrawModeColorSource _val)
DrawModeNormalSource | normalSource () const
void | normalSource (DrawModeNormalSource _val)
DrawModeTexCoordSource | texcoordSource () const
void | texcoordSource (DrawModeTexCoordSource _val)
Helper functions for more convenient use in renderer
bool | lighting () const
| Is lighting enabled?
bool | textured () const
| Is texturing enabled?
bool | colored () const
| Are colors used?
bool | flatShaded () const
| Is flat shading used (Normals per face)?
Comparison functions
bool | operator!= (const DrawModeProperties &_other) const
| compare two properties More...
bool | operator== (const DrawModeProperties &_other) const
| compare two properties More...

## Private Attributes
bool | envMapped_
DrawModePrimitive | primitive_
| Specify which type of primitives will get uploaded to the graphics card.
DrawModeLightStage | lightStage_
DrawModeColorSource | colorSource_
DrawModeTexCoordSource | texcoordSource_
DrawModeNormalSource | normalSource_

## Detailed Description

DrawModeProperties stores a set of properties that defines, how to render an object.

A property may be the primitive type, normal source, color source ... Each property is atomic, i.e. it can not be combined with other properties of the same type. Example: primitive may be PRIMITIVE_POLYGON or PRIMITIVE_POINTS, but not both at the same time. This restriction makes a property set well defined; it is always a valid set of properties. To have combined DrawModes i.e. flat + wireframe you have to use the layer approach of DrawMode.

Definition at line 177 of file DrawModes.hh.

## Member Function Documentation

## ◆ operator!=()

bool ACG::SceneGraph::DrawModes::DrawModeProperties::operator!= | ( | const DrawModeProperties & | _other | ) | const
| inline

compare two properties

Parameters

  _other | Right hand side

Definition at line 237 of file DrawModes.hh.

## ◆ operator==()

bool ACG::SceneGraph::DrawModes::DrawModeProperties::operator== | ( | const DrawModeProperties & | _other | ) | const
| inline

compare two properties

Parameters

  _other | Right hand side

Definition at line 251 of file DrawModes.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/Scenegraph/DrawModes.hh
- OpenFlipper/libs_required/ACG/Scenegraph/DrawModes.cc